%define upstream_name    MooseX-LazyRequire
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Required attributes which fail only when trying to use them
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(aliased) >= 0.300.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This module adds a 'lazy_require' option to Moose attribute declarations.

The reader methods for all attributes with that option will throw an
exception unless a value for the attributes was provided earlier by a
constructor parameter or through a writer method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Apr 07 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 81814
- update to 0.07

* Tue Jan 25 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 38602
- mageia rebuild
- imported package perl-MooseX-LazyRequire

